LiveShop - Multipurpose Drag & Drop Shopify Theme
0
Your Cart is currently empty!
Product update
Coupon
add
Coupon code invalid! Please re-enter!
AJAX loader
You are here: HomeBlogTutorials and Case studiesHow to Fix Errors in Joomla Template 3.4 Upgrading
March.24.2015

How to Fix Errors in Joomla Template 3.4 Upgrading

Hi all!

As Joomla 3.4 has been released, it brings many advanced features to users. It is necessary to upgrade your websites to be compatible with Joomla 3.4 in order to take your websites into the best performance's conditions. However, it may return some bugs while upgrading. This article will help you to solve some popular errors of Joomla template 3.4 updating.

1. Template Layout Error When Switching to RTL

How to Fix Errors in Joomla Template 3.4 Upgrading
Solve: Install package ytshortcodes_j3.3_v1.3.zip

Download YT Shortcode

2. Front-end Module Editing Error

Front-end Module Editing Error


Solve:

- Open file: yt\yt.php in YT plugin

- Declare this code: $config_module =  ($option == 'com_config' && $view == 'modules') ? true: false;

as following:

// Frontend

$k2detail =  true;

$k2detail =  ($option == 'com_k2' && $view == 'item') ? true: false;

$acticle  =  ($option == 'com_content' && $view == 'form') ? true: false;

$disMootool = $app->getTemplate(true)->params->get('disableMootool', 0);

$config_module =  ($option == 'com_config' && $view == 'modules') ? true: false;

 

if($app->isSite() && !$k2detail && !$acticle && $disMootool && $config_module) {

// Remove default mootools

unset($doc->_scripts[JURI::root(true) . '/media/system/js/core.js']);

unset($doc->_scripts[JURI::root(true) . '/media/system/js/modal.js']);

unset($doc->_scripts[JURI::root(true).'/media/system/js/caption.js']);

unset($doc->_scripts[JURI::root(true) . '/media/system/js/mootools.js']);

- Add this code into your_css.css file

.form-validate .controls select {display: block !important;}

.form-validate div.chzn-container {display: none !important;}

.form-validate .hasTooltip {display: inline-block !important;}

.form-validate .modal-button { background: #999; color: #fff; }

.form-validate .modal { position: static; margin: 0; padding: 0; border: 0; box-shadow: none; display: inline-block; width: auto; padding: 6px 10px; margin: 0 5px; }

.form-validate .radio input[type="radio"],

.form-validate .radio-inline input[type="radio"],

.form-validate .checkbox input[type="checkbox"],

.form-validate .checkbox-inline input[type="checkbox"] {margin: 5px;}

.form-validate legend,

.form-validate .accordion-toggle { padding: 8px 10px; background: #eee;display: block; }

.calendar .button {display: table-cell;}

[class^="icon-"],

[class*=" icon-"] { font-family: "FontAwesome"; font-style: normal; }

.icon-calendar:before {content: "\f073";}

.icon-edit:before {content: "\f044";}

.icon-remove:before {content: "\f00d";}

.jmodedit { background: #777; color: #fff; height: auto !important; width: 40px !important; }

.form-horizontal .controls input{width:auto;}

.accordion-group{margin-bottom:10px;}

We're planning to update our all Joomla Templates and Joomla Extensions with Joomla 3.4. If you find any problem of upgrading, please let's us know by directly leaving your comment here. Hope it helps!

Thanks for reading!

Tag Cloud

Love all our templates?

Join our membership clubs starting at $49 only for access to all of our templates

Join Now
Magento Themes Magento Extensions Free Magento Extensions Prestashop Themes Prestashop Modules Magento 2 Themes